Subject: Re: runumbering (was: Re: IPv6: Past mistakes repeated?)

From: Brian E Carpenter <[email-masked]>
Date: Mon, 01 May 2000 13:55:42 -0500

Sean Doran wrote:
> 
> Thomas Narten writes:
> 
> | Actually, if your assumption is that NATv6 is better than IPv6 with
> | renumbering, then IPv4 and NATv4 was good enough to start with and
> | there was need to move to IPv6 in the first place.
>            ^
>            no  (right?  maybe this is where the previous "not" came from -:) )
> 
> Did you see Noel's excellent observation that the problem with
> NAT is architectural and not mechanical?   The architectural problem:
> more things to address on one side of the NAT than there are addresses
> on the other side of the NAT.
> 
> IPv6 does bring *ONE* thing significantly different from IPv4:
> lots of address space.  So much, that we do not obviously need to
> have situations where there is an addressability mismatch on any
> side of a NAT.
> 
> NATv6 therefore does not suffer the architectural flaw that
> causes him to have real problems with NAT, although it can
> suffer many of the mechanical problems, particularly if IPv6
> deliberately seeks to worsen the mechanical difficulties of NATv6.
> 
> This allows for the architectural features of NAT to be
> less awkwared to exploit.
> 
> | But if NATv4 doesn't cut it, I don't see how NATv6 between IPv6
> | sites cuts it either.
> 
> I hope this makes it clearer for you.

Given that we still don't have a global namespace available except
for NAT-free IPv6, it doesn't, since such a namespace is well
known to be required to avoid the "mechanical" problems with NAT.

So the problem Paul originally set us remains: we need to make IPv6
renumbering less painful that managing a NATted address space.

   Brian